nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | List of all members
nx::sdk::PluginDiagnosticEvent Class Reference
Inheritance diagram for nx::sdk::PluginDiagnosticEvent:

## Public Member Functions
| PluginDiagnosticEvent (Level level, std::string caption, std::string description)
virtual Level | level () const override
virtual const char * | caption () const override
virtual const char * | description () const override
void | setLevel (IPluginDiagnosticEvent::Level level)
void | setCaption (std::string caption)
void | setDescription (std::string description)
std::string | toString () const
Public Member Functions inherited from nx::sdk::RefCountable< IPluginDiagnosticEvent >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::Interface< IPluginDiagnosticEvent >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Additional Inherited Members
Public Types inherited from nx::sdk::IPluginDiagnosticEvent
enum | Level { info, warning, error }
Static Public Member Functions inherited from nx::sdk::IPluginDiagnosticEvent
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Protected Member Functions inherited from nx::sdk::Interface< IPluginDiagnosticEvent >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ toString()

std::string nx::sdk::PluginDiagnosticEvent::toString | ( |  | ) | const

Intended for logging. Produces a multi-line text without the trailing newline.

The documentation for this class was generated from the following files:

- src/nx/sdk/helpers/plugin_diagnostic_event.h
- src/nx/sdk/helpers/plugin_diagnostic_event.cpp